org.eclipse.actf.model.dom.odf.content

## Interface IStylable

All Known Subinterfaces:
  AxisElement, CellRange, ChartElement, CoveredTableCellElement, FloorElement, GridElement, HElement, IContentRange, LegendElement, ListElement, ListHeaderElement, ListItemElement, NotesElement, PageNumberElement, PElement, PlotAreaElement, SectionElement, SequenceElement, SeriesElement, SpanElement, StockGainMarkerElement, StockLossMarkerElement, StockRangeLineElement, TableCellElement, TableCellRange, TableColumnElement, TableElement, TableRowElement, TextRange, TitleElement, WallElement

    public interface IStylable

ODF elements that refers style elements should implements this interface.

### Method Summary

Methods
`void` `addStyleListener(IStyleListener listener, String topic)`
`StyleElement` `getStyle()`
`void` `removeStyleListener(IStyleListener listener, String topic)`
`void` `setStyle(StyleElement style)`

### Method Detail

#### setStyle

    void setStyle(StyleElement style)

#### getStyle

    StyleElement getStyle()

#### addStyleListener

    void addStyleListener(IStyleListener listener,
                        String topic)

#### removeStyleListener

    void removeStyleListener(IStyleListener listener,
                           String topic)